	device pentagon1024

;unpack=#ff00;#5b00

	org #6000

begin
	;ld hl,wasunpack
	;ld de,unpack
	;ld bc,szunpack
	;ldir

	ld hl,0
	ld (23728),hl
	
        ds 0x6100-$
        
        if 1==0
        
	ld hl,end
	;ld de,#8000
	;push de
	ld de,#c000
	push de
	ld bc,#4000
	ldir
	pop hl
	ld de,#6100
	push de
	;jp unpack
wasunpack
	include "megaLZunpack.asm"
szunpack=$-wasunpack
        endif

end

	display "Size ",/d,end-begin," bytes"
	
	savebin "depkcode.c",begin,end-begin
	
